Skip to main content
GET
/
api
/
v1
/
workflows
/
{workflow_id}
/
instances
List Workflow Instances
curl --request GET \
  --url https://api.example.com/api/v1/workflows/{workflow_id}/instances
{
  "items": [
    {
      "id": "<string>",
      "workflow_id": "<string>",
      "account_id": "<string>",
      "status": "<string>",
      "current_step": "<string>",
      "context": {},
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "error_message": "<string>",
      "resume_job_id": "<string>"
    }
  ],
  "total": 123
}

Path Parameters

workflow_id
string
required

Query Parameters

status
string | null
limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
WorkflowInstanceResponse · object[]
required
total
integer
required